# Status API

## Status Check&#x20;

<mark style="color:blue;">`GET`</mark> `https://api.iocparser.com/`        &#x20;

This endpoint allows you to check the status of IOC Parser API

{% tabs %}
{% tab title="200 Success" %}

```
{
    "status": "success",
    "data": {
        "name": "IOC Parser",
        "description": "A parsing service to translate data into intelligence",
        "version": "0.0.9"
    }
}
```

{% endtab %}

{% tab title="400 Fail" %}

```
{
    "status": "fail",
    "data": {
        "name": "IOC Parser",
        "description": "A parsing service to translate data into intelligence",
        "version": "0.0.9"
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'https://api.iocparser.com'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.iocparser.com"

payload = {}
headers= {}

response = requests.request("GET", url, headers=headers, data = payload)
print(response.text.encode('utf8'))
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.iocparser.com"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
  }
  res, err := client.Do(req)
  defer res.Body.Close()
  body, err := ioutil.ReadAll(res.Body)

  fmt.Println(string(body))
}
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
var requestOptions = {
  method: 'GET',
  redirect: 'follow'
};

fetch("https://api.iocparser.com", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

{% endtab %}
{% endtabs %}
